﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace NorthwindService
{
    [ServiceContract]
    public interface INorthwindService
    {
        [OperationContract]
        IEnumerable<Product> GetProducts();

        [OperationContract]
        Customer GetCustomer(string id);

        [OperationContract]
        bool SubmitOrder(Order order);

        [OperationContract]
        bool SubmitOrderDTO(NewOrderDTO order);

        [OperationContract]
        bool UpdateOrderDTO(UpdateOrderDTO order);
    }
}
